//////////////////////////////////////////////////////////////////////////////
//
//    KEXIFDIALOG.H
//
//    Copyright (C) 2002-2004 Renchi Raju <renchi at pooh.tam.uiuc.edu>
//                            Gilles Caulier <caulier dot gilles at free.fr>
//                            Ralf Hoelzer <kde at ralfhoelzer.com>
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation; either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 51 Franklin Steet, Fifth Floor, Cambridge, MA 02110-1301, USA.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef KEXIFDIALOG_H
#define KEXIFDIALOG_H

// Include files for KDE

#include <kdialogbase.h>
#include "libkexif_export.h"

class QComboBox;
class QString;
class QLabel;
class KExifWidget;
class QComboBox;

class LIBKEXIF_EXPORT KExifDialog : public KDialogBase
{
    Q_OBJECT

public:


    KExifDialog(QWidget* parent=0, const char *name=0);
    ~KExifDialog();

    bool loadFile(const QString& filepath);
    bool loadData(const QString& filename, char *data, int size);

private:

    KExifWidget *m_exifWidget;
    QLabel      *m_thumbLabel;
    QLabel      *m_nameLabel;
    QComboBox   *m_modeComboBox;

private slots:

    void slotHelp();
    void slotModeChanged(int);
};

#endif  // KEXIFDIALOG_H
